Package com.emc.documentum.rest.model

# Class RelationObject

java.lang.Object
com.emc.documentum.rest.model.AbstractLinkable
com.emc.documentum.rest.model.PersistentObject
com.emc.documentum.rest.model.RelationObject

All Implemented Interfaces:
  `com.emc.documentum.rest.conditional.Digestible`, `Linkable`

public class RelationObject extends PersistentObject
Relation resource

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final List<String>`
  `DEFAULT_FIELDS`
  Default fields that will be retrieved when use select * in DQL
  `static final List<String>`
  `MANDATORY_FIELDS`
  Mandatory fields

  ### Fields inherited from class com.emc.documentum.rest.model.PersistentObject

  `id, isLightweight, isMaterialized, isSnapshot, isVirtual, mandatoryAttributes, optionalAttributes, parentId, permissions, properties, reqDigest, type, typeDef, versionPolicy`

  ### Fields inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `links`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RelationObject()`
  Constructor
  `RelationObject(PersistentObject object)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getChildId()`
  Get child id of relation object
  `List<String>`
  `getMandatoryFields()`
  Get mandatory fields
  `String`
  `getName()`
  Get name of relation object, which is "relation_name" in fact
  `String`
  `getParentId()`
  Get parent id of relation object

  ### Methods inherited from class com.emc.documentum.rest.model.PersistentObject

  `addAttribute, addMandatoryAttribute, addOptionalAttribute, calculatesDigest, convertDate, geOptionalAttribute, getAttributeByName, getAttributes, getId, getInternalFields, getMandatoryAttribute, getOptionalFields, getPermissions, getReqDigest, getType, getTypeDef, getVersionPolicy, hasAttribute, hasAttributeValue, hasOptionalAttribute, isLightweight, isMatchedWithReqDigest, isMaterialized, isSnapshot, isVirtualDocument, reInitAttributes, removeAttributeIfExisted, setId, setIsSnapshot, setIsVirtualDocument, setLightweight, setMaterialized, setParentId, setPermissions, setReqDigest, setType, setTypeDef, setVersionPolicy, toString`

  ### Methods inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `getLinks, setLinks`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_FIELDS

    public static final List<String> DEFAULT_FIELDS
    Default fields that will be retrieved when use select * in DQL

  - ### MANDATORY_FIELDS

    public static final List<String> MANDATORY_FIELDS
    Mandatory fields

- ## Constructor Details

  - ### RelationObject

    public RelationObject()
    Constructor

  - ### RelationObject

    public RelationObject(PersistentObject object)
    Constructor
    Parameters:
      `object` - persistent object

- ## Method Details

  - ### getName

    public String getName()
    Get name of relation object, which is "relation_name" in fact
    Returns:
      name of relation object

  - ### getParentId

    public String getParentId()
    Get parent id of relation object
    Overrides:
      `getParentId` in class `PersistentObject`
    Returns:
      parent id

  - ### getChildId

    public String getChildId()
    Get child id of relation object
    Returns:
      child id

  - ### getMandatoryFields

    public List<String> getMandatoryFields()
    Get mandatory fields
    Overrides:
      `getMandatoryFields` in class `PersistentObject`
    Returns:
      mandatory fields